MetaArrayLengthProperty (Groovy 5.0.8)
Description: declaration: package: groovy.lang, class: MetaArrayLengthProperty

Package groovy.lang

# Class MetaArrayLengthProperty

java.lang.Object
groovy.lang.MetaProperty
groovy.lang.MetaArrayLengthProperty

All Implemented Interfaces:
  `MetaMember`

public class MetaArrayLengthProperty extends MetaProperty
Represents the length property of an array.

- ## Field Summary

  ### Fields inherited from class groovy.lang.MetaProperty

  `name, PROPERTY_SET_PREFIX, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetaArrayLengthProperty()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getModifiers()`
  Returns the access modifiers.
  `Object`
  `getProperty(Object object)`
  `void`
  `setProperty(Object object, Object newValue)`
  Sets the property on the given object to the new value.

  ### Methods inherited from class groovy.lang.MetaProperty

  `getGetterName, getName, getSetterName, getType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.MetaMember

  `isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, isSynthetic`

- ## Constructor Details

  - ### MetaArrayLengthProperty

    public MetaArrayLengthProperty()

- ## Method Details

  - ### getModifiers

    public int getModifiers()
    Description copied from class: `MetaProperty`
    Returns the access modifiers.
    Specified by:
      `getModifiers` in interface `MetaMember`
    Overrides:
      `getModifiers` in class `MetaProperty`
    Returns:
      `Modifier.PUBLIC`

  - ### getProperty

    public Object getProperty(Object object)
    Specified by:
      `getProperty` in class `MetaProperty`
    Returns:
      the property of the given object

  - ### setProperty

    public void setProperty(Object object, Object newValue)
    Description copied from class: `MetaProperty`
    Sets the property on the given object to the new value.
    Specified by:
      `setProperty` in class `MetaProperty`
    Parameters:
      `object` - on which to set the property
      `newValue` - the new value of the property